<?php
	if (! isset($_SESSION['currentlang'])) {
		$_SESSION['currentlang'] = $config->get('defaultlang');
	}
	
	if (isset($_GET['setlang'])) {
		$_SESSION['currentlang'] = $_GET['setlang'];	
	}
	
	$GLOBALS['actlang'] = new Language($_SESSION['currentlang']);
	
	function getdeflangstring($key) {
		return $key;
	}
	
	function getlangstring($key) {
		$act = $GLOBALS['actlang']->getstring($key);
        
		if ($act != null) {
			return $act;
		}
        
		return $key;// . " is missing. Please fix.";
	}
	
	function printlangstring($key, $addnewline = false) {
		print(getlangstring($key) . ($addnewline ? "<br />\r\n" : ""));
	}
	
	function getcurrentlang() {
	    return $_SESSION['currentlang'];
	}
	
	function getlangmenu() {
	    global $config;
	    
		$buffer = array();
		
		if ($config->get('showlangmenu') && count(split(",", $config->get('languages'))) > 1) {
			foreach (split(",", $config->get('languages')) as $lng) {
                if ($config->get("lang.$lng.inmenu")) {
                    $u = new Url(Url::selfurl());
                    $u->addparam("setlang", $lng);
                    $u->addlang($lng);
                    $buffer[] = $u->tohref($config->get("lang.$lng"), "lang {$lng}");
                }
			}
		}
		
		return $buffer; //implode("&nbsp;", $buffer);
	}
?>