<?php
	if (! isset($_SESSION['currentlang'])) {
		$_SESSION['currentlang'] = $config->get('defaultlang');
	}
	
	if (isset($_GET['setlang'])) {
		$langfile = $config->get('langdir') . "/lang_" . $_GET['setlang'] . ".txt";
		
		if (file_exists($langfile)) {
			$_SESSION['currentlang'] = $_GET['setlang'];
		} else {
			debugmessage("Requested language doesn't exist.");
		}
	}
	
	function parselang($langfile) {	
	    global $config;
	    
		$langdata = file($config->get('langdir') . "/" . $langfile);
		
        foreach ($langdata as $row) {
			if (strlen(trim($row)) == 0) {
				continue;
			}
			
			$key = trim(substr($row, 0, strpos($row, "\t")));
			$val = trim(substr($row, strpos($row, "\t") + 1));
			
			$tmp[$key] = $val;
		}

		$config->get('parsed_language') = $tmp;
	}
	
	function getlangstring($key) {
		global $config;
		
		if (array_key_exists($key, $config->get('parsed_language'))) {
			return $config->get('parsed_language')[$key];
		} else {
			return "Missing key '" . $key . "' in current language. Please fix.";
		}
		
		return "Error";
	}
	
	function printlangstring($key, $addbr = false) {
		print(getlangstring(&$key));
		
		if ($addbr) {
			print("<br>\r\n");
		}
	}
	
	parselang("lang_" . $_SESSION['currentlang'] . ".txt");
?>