<?php
	$config->saveNewValues(); // this stores the values in the config-datastructure

	function makecfgstring($key, $value) {   
        $tmp = sprintf("%s=%s\n", $key, $value);

		return $tmp;
	}

	// then we do it, no checking, if something goes wrong it goes wrong. keep backups.
	// you have been warned.
	
	if ($fp = fopen($config->basedir() . "/config.php", "w")) {	
		fwrite($fp, "<?php\n");
		
		fwrite($fp, "// general settings\n/*\n");
		foreach ($config->configgen as $cfg) {
			fwrite($fp, makecfgstring($cfg[0], $config->get($cfg[0])));
		}
		
		fwrite($fp, "*/\n// database settings\n/*\n");
		foreach ($config->configdb as $cfg) {
			fwrite($fp, makecfgstring($cfg[0], $config->get($cfg[0])));
		}
		
		fwrite($fp, "*/\n// path settings\n/*\n");
		foreach ($config->configdir as $cfg) {
			fwrite($fp, makecfgstring($cfg[0], $config->get($cfg[0])));
		}
        
		fwrite($fp, "*/\n// language settings \n/*\n");
        fwrite($fp, makecfgstring('languages', $config->get('languages')));
        fwrite($fp, makecfgstring('defaultlang', $config->get('defaultlang')));
        
        foreach (split(",", $config->get('languages')) as $lang) {
            fwrite($fp, makecfgstring("lang.$lang", $config->get("lang.$lang")));
            fwrite($fp, makecfgstring("lang.$lang.inmenu", $config->get("lang.$lang.inmenu")));
        }
        
		fwrite($fp, "*/\n?>\n");
	}
	
	fclose($fp);
	
	print("<p>" . getlangstring("PROMPT_CFGSAVEOK") . "</p>");
?>