/*
 * The 2-table layout exists only to be consistent
 * with the XML-implementation
 */
 
CREATE TABLE bbthread (
    id       INT         NOT NULL AUTO_INCREMENT,
    public   INT         NOT NULL DEFAULT 0     ,
    sticky   INT         NOT NULL DEFAULT 0     ,
    locked   INT         NOT NULL DEFAULT 0     ,
    posted   DATETIME                           ,
    modified DATETIME                           ,
    topic    TINYTEXT    NOT NULL               ,
    bread    TEXT        NOT NULL               ,
    ipaddr   VARCHAR(15)                        ,
    creator  VARCHAR(40) NOT NULL               ,
    
    PRIMARY KEY (id)
);

CREATE TABLE bbreply (
    id       INT         NOT NULL AUTO_INCREMENT  ,
    itemid   INT         NOT NULL                 ,
    public   INT         NOT NULL DEFAULT 0       ,
    posted   DATETIME                             ,
    bread    TEXT        NOT NULL                 ,
    ipaddr   VARCHAR(15)                          ,
    creator  VARCHAR(40) NOT NULL                 ,
    
    FOREIGN KEY (itemid) REFERENCES bbthread (id) ,
    PRIMARY KEY (id)
);
