<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
    <?php $resp->theHead() ?>    
</head>
<body>

<div id="top">
    <div id="head">
        <h1><?= $resp->getTitle() ?></h1>
    	<div id="langmenu">
    	    <ul class="navilist">
    	    <?= $resp->getLanguages() ?>
    	    </ul>
	    </div>
    	
    	<div id="tools">
    	    <ul class="navilist">
    	    <?= $resp->getNavi('home', true) ?>
    		<?= $resp->getNavi('post', true) ?>
            <?php if (isAdmin()): // show control panel and logout only to admins ?>
                <?= $resp->getNavi('cpanel', true) ?>
                <?= $resp->getNavi('logout', true) ?>
            <?php endif; ?>
            </ul>
    	</div>
    	
    	<div id="search">
    	    <form class="clearfix" action="<?= $resp->getNavi('search', false) ?>" method="post" style="margin: 0px; padding: 0px;">
    			<p>
    			    <label>
    			        <span><?= getlangstring("PROMPT_SEARCH") ?>:</span> 
    			        <input type="text" name="word" size="12" maxlength="30" class="search">     			        
			        </label>
			        <input type="submit" class="button" value="&gt;&gt;">
    			</p>
    		</form>
    	</div>
    </div>
    <div id="body">
    <!--<div id="pages"><?php $resp->getPages() ?></div>-->
    
    <?php 
    // show single page (admin / post / edit etc.)
    if (isPage()) { 
        $resp->theBody();
    } else {
        // styles for alternating rows        
        if (isSingleThread()) {
            // list a single thread
            require_once("single-thread.tmpl.php");            
        } else {
            // list all threads
            require_once("list-threads.tmpl.php");
        } // end single thread if
    } // end page if
    ?>
    </div>
    
    <div id="footer">
        <p>Powered by <a href="<?= $resp->getNavi('elfhome', false) ?>">ELF Lightweight Forum</a> <?= $resp->getVersion() ?>. Theme icons provided by <a href="http://www.famfamfam.com/" lang="en">Fam Fam Fam</a></p>
    </div>
</div>

<!-- Page generated in <?= number_format($resp->getRequestTime(), 3) ?> seconds -->
</body>
</html>
